Index: code/branches/core6/src/modules/designtools/CreateStars.cc
===================================================================
--- code/branches/core6/src/modules/designtools/CreateStars.cc	(revision 9629)
+++ code/branches/core6/src/modules/designtools/CreateStars.cc	(revision 9638)
@@ -37,5 +37,5 @@
 namespace orxonox
 {
-    CreateFactory(CreateStars);
+    RegisterClass(CreateStars);
 
     CreateStars::CreateStars(Context* context) : BaseObject(context)
Index: code/branches/core6/src/modules/docking/Dock.cc
===================================================================
--- code/branches/core6/src/modules/docking/Dock.cc	(revision 9629)
+++ code/branches/core6/src/modules/docking/Dock.cc	(revision 9638)
@@ -46,5 +46,5 @@
 namespace orxonox
 {
-    CreateFactory(Dock);
+    RegisterClass(Dock);
 
     SetConsoleCommand("Dock", "dock",    &Dock::cmdDock).addShortcut().setAsInputCommand();
Index: code/branches/core6/src/modules/docking/DockToShip.cc
===================================================================
--- code/branches/core6/src/modules/docking/DockToShip.cc	(revision 9629)
+++ code/branches/core6/src/modules/docking/DockToShip.cc	(revision 9638)
@@ -38,5 +38,5 @@
 namespace orxonox
 {
-    CreateFactory(DockToShip);
+    RegisterClass(DockToShip);
 
     DockToShip::DockToShip(Context* context) : DockingEffect(context)
Index: code/branches/core6/src/modules/docking/DockingController.cc
===================================================================
--- code/branches/core6/src/modules/docking/DockingController.cc	(revision 9629)
+++ code/branches/core6/src/modules/docking/DockingController.cc	(revision 9638)
@@ -38,5 +38,5 @@
 namespace orxonox
 {
-    CreateFactory(DockingController);
+    RegisterClass(DockingController);
 
     DockingController::DockingController(Context* context) : ArtificialController(context)
Index: code/branches/core6/src/modules/docking/DockingTarget.cc
===================================================================
--- code/branches/core6/src/modules/docking/DockingTarget.cc	(revision 9629)
+++ code/branches/core6/src/modules/docking/DockingTarget.cc	(revision 9638)
@@ -39,5 +39,5 @@
 namespace orxonox
 {
-    CreateFactory(DockingTarget);
+    RegisterClass(DockingTarget);
 
     DockingTarget::DockingTarget(Context* context) : StaticEntity(context)
Index: code/branches/core6/src/modules/docking/MoveToDockingTarget.cc
===================================================================
--- code/branches/core6/src/modules/docking/MoveToDockingTarget.cc	(revision 9629)
+++ code/branches/core6/src/modules/docking/MoveToDockingTarget.cc	(revision 9638)
@@ -40,5 +40,5 @@
 namespace orxonox
 {
-    CreateFactory(MoveToDockingTarget);
+    RegisterClass(MoveToDockingTarget);
 
     MoveToDockingTarget::MoveToDockingTarget(Context* context) : DockingAnimation(context)
Index: code/branches/core6/src/modules/gametypes/OldRaceCheckPoint.cc
===================================================================
--- code/branches/core6/src/modules/gametypes/OldRaceCheckPoint.cc	(revision 9629)
+++ code/branches/core6/src/modules/gametypes/OldRaceCheckPoint.cc	(revision 9638)
@@ -38,5 +38,5 @@
 namespace orxonox
 {
-    CreateFactory(OldRaceCheckPoint);
+    RegisterClass(OldRaceCheckPoint);
 
     OldRaceCheckPoint::OldRaceCheckPoint(Context* context): DistanceTrigger(context), RadarViewable(this, static_cast<WorldEntity*>(this))
Index: code/branches/core6/src/modules/gametypes/OldSpaceRace.cc
===================================================================
--- code/branches/core6/src/modules/gametypes/OldSpaceRace.cc	(revision 9629)
+++ code/branches/core6/src/modules/gametypes/OldSpaceRace.cc	(revision 9638)
@@ -36,5 +36,5 @@
 namespace orxonox
 {
-    CreateUnloadableFactory(OldSpaceRace);
+    RegisterUnloadableClass(OldSpaceRace);
 
     OldSpaceRace::OldSpaceRace(Context* context) : Gametype(context)
Index: code/branches/core6/src/modules/gametypes/RaceCheckPoint.cc
===================================================================
--- code/branches/core6/src/modules/gametypes/RaceCheckPoint.cc	(revision 9629)
+++ code/branches/core6/src/modules/gametypes/RaceCheckPoint.cc	(revision 9638)
@@ -41,5 +41,5 @@
 namespace orxonox
 {
-    CreateFactory(RaceCheckPoint);
+    RegisterClass(RaceCheckPoint);
 
     RaceCheckPoint::RaceCheckPoint(Context* context) : DistanceMultiTrigger(context),
Index: code/branches/core6/src/modules/gametypes/SpaceRace.cc
===================================================================
--- code/branches/core6/src/modules/gametypes/SpaceRace.cc	(revision 9629)
+++ code/branches/core6/src/modules/gametypes/SpaceRace.cc	(revision 9638)
@@ -40,5 +40,5 @@
 namespace orxonox
 {
-    CreateUnloadableFactory(SpaceRace);
+    RegisterUnloadableClass(SpaceRace);
 
     SpaceRace::SpaceRace(Context* context) : Gametype(context)
Index: code/branches/core6/src/modules/gametypes/SpaceRaceBot.cc
===================================================================
--- code/branches/core6/src/modules/gametypes/SpaceRaceBot.cc	(revision 9629)
+++ code/branches/core6/src/modules/gametypes/SpaceRaceBot.cc	(revision 9638)
@@ -29,5 +29,5 @@
 namespace orxonox
 {
-    CreateFactory(SpaceRaceBot);
+    RegisterClass(SpaceRaceBot);
 
     SpaceRaceBot::SpaceRaceBot(Context* context) : Bot(context){
Index: code/branches/core6/src/modules/gametypes/SpaceRaceController.cc
===================================================================
--- code/branches/core6/src/modules/gametypes/SpaceRaceController.cc	(revision 9629)
+++ code/branches/core6/src/modules/gametypes/SpaceRaceController.cc	(revision 9638)
@@ -45,5 +45,5 @@
 namespace orxonox
 {
-    CreateFactory(SpaceRaceController);
+    RegisterClass(SpaceRaceController);
 
     const int ADJUSTDISTANCE = 500;
Index: code/branches/core6/src/modules/gametypes/SpaceRaceManager.cc
===================================================================
--- code/branches/core6/src/modules/gametypes/SpaceRaceManager.cc	(revision 9629)
+++ code/branches/core6/src/modules/gametypes/SpaceRaceManager.cc	(revision 9638)
@@ -40,5 +40,5 @@
 namespace orxonox
 {
-    CreateFactory(SpaceRaceManager);
+    RegisterClass(SpaceRaceManager);
 
     SpaceRaceManager::SpaceRaceManager(Context* context) :
Index: code/branches/core6/src/modules/notifications/NotificationDispatcher.cc
===================================================================
--- code/branches/core6/src/modules/notifications/NotificationDispatcher.cc	(revision 9629)
+++ code/branches/core6/src/modules/notifications/NotificationDispatcher.cc	(revision 9638)
@@ -48,5 +48,5 @@
 {
 
-    CreateUnloadableFactory(NotificationDispatcher);
+    RegisterUnloadableClass(NotificationDispatcher);
 
     registerMemberNetworkFunction(NotificationDispatcher, broadcastHelper);
Index: code/branches/core6/src/modules/notifications/NotificationQueue.cc
===================================================================
--- code/branches/core6/src/modules/notifications/NotificationQueue.cc	(revision 9629)
+++ code/branches/core6/src/modules/notifications/NotificationQueue.cc	(revision 9638)
@@ -44,5 +44,5 @@
 {
 
-    CreateFactory(NotificationQueue);
+    RegisterClass(NotificationQueue);
 
     /**
Index: code/branches/core6/src/modules/notifications/NotificationQueueCEGUI.cc
===================================================================
--- code/branches/core6/src/modules/notifications/NotificationQueueCEGUI.cc	(revision 9629)
+++ code/branches/core6/src/modules/notifications/NotificationQueueCEGUI.cc	(revision 9638)
@@ -46,5 +46,5 @@
 {
 
-    CreateFactory(NotificationQueueCEGUI);
+    RegisterClass(NotificationQueueCEGUI);
 
     /*static*/ const std::string NotificationQueueCEGUI::NOTIFICATION_LAYER("NotificationLayer");
Index: code/branches/core6/src/modules/notifications/dispatchers/CommandNotification.cc
===================================================================
--- code/branches/core6/src/modules/notifications/dispatchers/CommandNotification.cc	(revision 9629)
+++ code/branches/core6/src/modules/notifications/dispatchers/CommandNotification.cc	(revision 9638)
@@ -44,5 +44,5 @@
 namespace orxonox {
 
-    CreateFactory(CommandNotification);
+    RegisterClass(CommandNotification);
 
     /**
Index: code/branches/core6/src/modules/notifications/dispatchers/SimpleNotification.cc
===================================================================
--- code/branches/core6/src/modules/notifications/dispatchers/SimpleNotification.cc	(revision 9629)
+++ code/branches/core6/src/modules/notifications/dispatchers/SimpleNotification.cc	(revision 9638)
@@ -39,5 +39,5 @@
 namespace orxonox {
 
-    CreateFactory(SimpleNotification);
+    RegisterClass(SimpleNotification);
 
     /**
Index: code/branches/core6/src/modules/objects/Attacher.cc
===================================================================
--- code/branches/core6/src/modules/objects/Attacher.cc	(revision 9629)
+++ code/branches/core6/src/modules/objects/Attacher.cc	(revision 9638)
@@ -34,5 +34,5 @@
 namespace orxonox
 {
-    CreateFactory(Attacher);
+    RegisterClass(Attacher);
 
     Attacher::Attacher(Context* context) : StaticEntity(context)
Index: code/branches/core6/src/modules/objects/ForceField.cc
===================================================================
--- code/branches/core6/src/modules/objects/ForceField.cc	(revision 9629)
+++ code/branches/core6/src/modules/objects/ForceField.cc	(revision 9638)
@@ -40,5 +40,5 @@
 namespace orxonox
 {
-    CreateFactory(ForceField);
+    RegisterClass(ForceField);
 
     /*static*/ const std::string ForceField::modeTube_s = "tube";
Index: code/branches/core6/src/modules/objects/Planet.cc
===================================================================
--- code/branches/core6/src/modules/objects/Planet.cc	(revision 9629)
+++ code/branches/core6/src/modules/objects/Planet.cc	(revision 9638)
@@ -42,5 +42,5 @@
 namespace orxonox
 {
-    CreateFactory(Planet);
+    RegisterClass(Planet);
 
     /**
Index: code/branches/core6/src/modules/objects/Script.cc
===================================================================
--- code/branches/core6/src/modules/objects/Script.cc	(revision 9629)
+++ code/branches/core6/src/modules/objects/Script.cc	(revision 9638)
@@ -46,5 +46,5 @@
 namespace orxonox
 {
-    CreateFactory(Script);
+    RegisterClass(Script);
 
     registerStaticNetworkFunction(Script::executeHelper);
Index: code/branches/core6/src/modules/objects/SpaceBoundaries.cc
===================================================================
--- code/branches/core6/src/modules/objects/SpaceBoundaries.cc	(revision 9629)
+++ code/branches/core6/src/modules/objects/SpaceBoundaries.cc	(revision 9638)
@@ -42,5 +42,5 @@
 namespace orxonox
 {
-    CreateFactory(SpaceBoundaries);
+    RegisterClass(SpaceBoundaries);
 
     SpaceBoundaries::SpaceBoundaries(Context* context) : StaticEntity(context)
Index: code/branches/core6/src/modules/objects/Turret.cc
===================================================================
--- code/branches/core6/src/modules/objects/Turret.cc	(revision 9629)
+++ code/branches/core6/src/modules/objects/Turret.cc	(revision 9638)
@@ -35,5 +35,5 @@
 namespace orxonox
 {
-    CreateFactory(Turret);
+    RegisterClass(Turret);
 
     /**
Index: code/branches/core6/src/modules/objects/collisionshapes/BoxCollisionShape.cc
===================================================================
--- code/branches/core6/src/modules/objects/collisionshapes/BoxCollisionShape.cc	(revision 9629)
+++ code/branches/core6/src/modules/objects/collisionshapes/BoxCollisionShape.cc	(revision 9638)
@@ -42,5 +42,5 @@
 namespace orxonox
 {
-    CreateFactory(BoxCollisionShape);
+    RegisterClass(BoxCollisionShape);
 
     /**
Index: code/branches/core6/src/modules/objects/collisionshapes/ConeCollisionShape.cc
===================================================================
--- code/branches/core6/src/modules/objects/collisionshapes/ConeCollisionShape.cc	(revision 9629)
+++ code/branches/core6/src/modules/objects/collisionshapes/ConeCollisionShape.cc	(revision 9638)
@@ -42,5 +42,5 @@
 namespace orxonox
 {
-    CreateFactory(ConeCollisionShape);
+    RegisterClass(ConeCollisionShape);
 
     /**
Index: code/branches/core6/src/modules/objects/collisionshapes/PlaneCollisionShape.cc
===================================================================
--- code/branches/core6/src/modules/objects/collisionshapes/PlaneCollisionShape.cc	(revision 9629)
+++ code/branches/core6/src/modules/objects/collisionshapes/PlaneCollisionShape.cc	(revision 9638)
@@ -42,5 +42,5 @@
 namespace orxonox
 {
-    CreateFactory(PlaneCollisionShape);
+    RegisterClass(PlaneCollisionShape);
 
     /**
Index: code/branches/core6/src/modules/objects/collisionshapes/SphereCollisionShape.cc
===================================================================
--- code/branches/core6/src/modules/objects/collisionshapes/SphereCollisionShape.cc	(revision 9629)
+++ code/branches/core6/src/modules/objects/collisionshapes/SphereCollisionShape.cc	(revision 9638)
@@ -42,5 +42,5 @@
 namespace orxonox
 {
-    CreateFactory(SphereCollisionShape);
+    RegisterClass(SphereCollisionShape);
 
     /**
Index: code/branches/core6/src/modules/objects/eventsystem/EventDispatcher.cc
===================================================================
--- code/branches/core6/src/modules/objects/eventsystem/EventDispatcher.cc	(revision 9629)
+++ code/branches/core6/src/modules/objects/eventsystem/EventDispatcher.cc	(revision 9638)
@@ -35,5 +35,5 @@
 namespace orxonox
 {
-    CreateFactory(EventDispatcher);
+    RegisterClass(EventDispatcher);
 
     EventDispatcher::EventDispatcher(Context* context) : BaseObject(context)
Index: code/branches/core6/src/modules/objects/eventsystem/EventFilter.cc
===================================================================
--- code/branches/core6/src/modules/objects/eventsystem/EventFilter.cc	(revision 9629)
+++ code/branches/core6/src/modules/objects/eventsystem/EventFilter.cc	(revision 9638)
@@ -36,5 +36,5 @@
 namespace orxonox
 {
-    CreateFactory(EventFilter);
+    RegisterClass(EventFilter);
 
     EventFilter::EventFilter(Context* context) : BaseObject(context)
Index: code/branches/core6/src/modules/objects/eventsystem/EventListener.cc
===================================================================
--- code/branches/core6/src/modules/objects/eventsystem/EventListener.cc	(revision 9629)
+++ code/branches/core6/src/modules/objects/eventsystem/EventListener.cc	(revision 9638)
@@ -35,5 +35,5 @@
 namespace orxonox
 {
-    CreateFactory(EventListener);
+    RegisterClass(EventListener);
 
     EventListener::EventListener(Context* context) : BaseObject(context)
Index: code/branches/core6/src/modules/objects/eventsystem/EventName.cc
===================================================================
--- code/branches/core6/src/modules/objects/eventsystem/EventName.cc	(revision 9629)
+++ code/branches/core6/src/modules/objects/eventsystem/EventName.cc	(revision 9638)
@@ -32,5 +32,5 @@
 namespace orxonox
 {
-    CreateFactory(EventName);
+    RegisterClass(EventName);
 
     EventName::EventName(Context* context) : BaseObject(context)
Index: code/branches/core6/src/modules/objects/eventsystem/EventTarget.cc
===================================================================
--- code/branches/core6/src/modules/objects/eventsystem/EventTarget.cc	(revision 9629)
+++ code/branches/core6/src/modules/objects/eventsystem/EventTarget.cc	(revision 9638)
@@ -33,5 +33,5 @@
 namespace orxonox
 {
-    CreateFactory(EventTarget);
+    RegisterClass(EventTarget);
 
     EventTarget::EventTarget(Context* context) : BaseObject(context)
Index: code/branches/core6/src/modules/objects/triggers/CheckPoint.cc
===================================================================
--- code/branches/core6/src/modules/objects/triggers/CheckPoint.cc	(revision 9629)
+++ code/branches/core6/src/modules/objects/triggers/CheckPoint.cc	(revision 9638)
@@ -42,5 +42,5 @@
 namespace orxonox
 {
-    CreateFactory(CheckPoint);
+    RegisterClass(CheckPoint);
 
     CheckPoint::CheckPoint(Context* context)
Index: code/branches/core6/src/modules/objects/triggers/DistanceMultiTrigger.cc
===================================================================
--- code/branches/core6/src/modules/objects/triggers/DistanceMultiTrigger.cc	(revision 9629)
+++ code/branches/core6/src/modules/objects/triggers/DistanceMultiTrigger.cc	(revision 9638)
@@ -47,5 +47,5 @@
     /*static*/ const std::string DistanceMultiTrigger::beaconModeExlcude_s = "exclude";
     
-    CreateFactory(DistanceMultiTrigger);
+    RegisterClass(DistanceMultiTrigger);
 
     /**
Index: code/branches/core6/src/modules/objects/triggers/DistanceTrigger.cc
===================================================================
--- code/branches/core6/src/modules/objects/triggers/DistanceTrigger.cc	(revision 9629)
+++ code/branches/core6/src/modules/objects/triggers/DistanceTrigger.cc	(revision 9638)
@@ -49,5 +49,5 @@
     /*static*/ const std::string DistanceTrigger::beaconModeExlcude_s = "exclude";
 
-    CreateFactory(DistanceTrigger);
+    RegisterClass(DistanceTrigger);
 
     /**
Index: code/branches/core6/src/modules/objects/triggers/DistanceTriggerBeacon.cc
===================================================================
--- code/branches/core6/src/modules/objects/triggers/DistanceTriggerBeacon.cc	(revision 9629)
+++ code/branches/core6/src/modules/objects/triggers/DistanceTriggerBeacon.cc	(revision 9638)
@@ -40,5 +40,5 @@
 {
 
-    CreateFactory(DistanceTriggerBeacon);
+    RegisterClass(DistanceTriggerBeacon);
 
     /**
Index: code/branches/core6/src/modules/objects/triggers/EventMultiTrigger.cc
===================================================================
--- code/branches/core6/src/modules/objects/triggers/EventMultiTrigger.cc	(revision 9629)
+++ code/branches/core6/src/modules/objects/triggers/EventMultiTrigger.cc	(revision 9638)
@@ -43,5 +43,5 @@
 {
 
-    CreateFactory(EventMultiTrigger);
+    RegisterClass(EventMultiTrigger);
 
     /**
Index: code/branches/core6/src/modules/objects/triggers/EventTrigger.cc
===================================================================
--- code/branches/core6/src/modules/objects/triggers/EventTrigger.cc	(revision 9629)
+++ code/branches/core6/src/modules/objects/triggers/EventTrigger.cc	(revision 9638)
@@ -40,5 +40,5 @@
 namespace orxonox
 {
-    CreateFactory(EventTrigger);
+    RegisterClass(EventTrigger);
 
     /**
Index: code/branches/core6/src/modules/objects/triggers/MultiTrigger.cc
===================================================================
--- code/branches/core6/src/modules/objects/triggers/MultiTrigger.cc	(revision 9629)
+++ code/branches/core6/src/modules/objects/triggers/MultiTrigger.cc	(revision 9638)
@@ -43,5 +43,5 @@
 {
 
-    CreateFactory(MultiTrigger);
+    RegisterClass(MultiTrigger);
 
     /**
Index: code/branches/core6/src/modules/objects/triggers/MultiTriggerContainer.cc
===================================================================
--- code/branches/core6/src/modules/objects/triggers/MultiTriggerContainer.cc	(revision 9629)
+++ code/branches/core6/src/modules/objects/triggers/MultiTriggerContainer.cc	(revision 9638)
@@ -42,5 +42,5 @@
 {
 
-    CreateUnloadableFactory(MultiTriggerContainer);
+    RegisterUnloadableClass(MultiTriggerContainer);
 
     /**
Index: code/branches/core6/src/modules/objects/triggers/Trigger.cc
===================================================================
--- code/branches/core6/src/modules/objects/triggers/Trigger.cc	(revision 9629)
+++ code/branches/core6/src/modules/objects/triggers/Trigger.cc	(revision 9638)
@@ -47,5 +47,5 @@
     SetConsoleCommand("Trigger", "debugFlares", &Trigger::debugFlares).defaultValues(false);
 
-    CreateFactory(Trigger);
+    RegisterClass(Trigger);
 
     /**
Index: code/branches/core6/src/modules/objects/triggers/TriggerBase.cc
===================================================================
--- code/branches/core6/src/modules/objects/triggers/TriggerBase.cc	(revision 9629)
+++ code/branches/core6/src/modules/objects/triggers/TriggerBase.cc	(revision 9638)
@@ -46,5 +46,5 @@
     /*static*/ const std::string TriggerBase::xor_s = "xor";
 
-    CreateFactory(TriggerBase);
+    RegisterClass(TriggerBase);
 
     /**
Index: code/branches/core6/src/modules/overlays/FadeoutText.cc
===================================================================
--- code/branches/core6/src/modules/overlays/FadeoutText.cc	(revision 9629)
+++ code/branches/core6/src/modules/overlays/FadeoutText.cc	(revision 9638)
@@ -36,5 +36,5 @@
 namespace orxonox
 {
-    CreateFactory(FadeoutText);
+    RegisterClass(FadeoutText);
 
     FadeoutText::FadeoutText(Context* context) : OverlayText(context)
Index: code/branches/core6/src/modules/overlays/GUIOverlay.cc
===================================================================
--- code/branches/core6/src/modules/overlays/GUIOverlay.cc	(revision 9629)
+++ code/branches/core6/src/modules/overlays/GUIOverlay.cc	(revision 9638)
@@ -41,5 +41,5 @@
 namespace orxonox
 {
-    CreateFactory(GUIOverlay);
+    RegisterClass(GUIOverlay);
 
     GUIOverlay::GUIOverlay(Context* context) : OrxonoxOverlay(context)
Index: code/branches/core6/src/modules/overlays/OverlayText.cc
===================================================================
--- code/branches/core6/src/modules/overlays/OverlayText.cc	(revision 9629)
+++ code/branches/core6/src/modules/overlays/OverlayText.cc	(revision 9638)
@@ -41,5 +41,5 @@
 namespace orxonox
 {
-    CreateFactory(OverlayText);
+    RegisterClass(OverlayText);
 
     BOOST_STATIC_ASSERT((int)Ogre::TextAreaOverlayElement::Left   == (int)OverlayText::Left);
Index: code/branches/core6/src/modules/overlays/debugging/DebugFPSText.cc
===================================================================
--- code/branches/core6/src/modules/overlays/debugging/DebugFPSText.cc	(revision 9629)
+++ code/branches/core6/src/modules/overlays/debugging/DebugFPSText.cc	(revision 9638)
@@ -35,5 +35,5 @@
 namespace orxonox
 {
-    CreateFactory(DebugFPSText);
+    RegisterClass(DebugFPSText);
 
     DebugFPSText::DebugFPSText(Context* context) : OverlayText(context)
Index: code/branches/core6/src/modules/overlays/debugging/DebugRTRText.cc
===================================================================
--- code/branches/core6/src/modules/overlays/debugging/DebugRTRText.cc	(revision 9629)
+++ code/branches/core6/src/modules/overlays/debugging/DebugRTRText.cc	(revision 9638)
@@ -35,5 +35,5 @@
 namespace orxonox
 {
-    CreateFactory(DebugRTRText);
+    RegisterClass(DebugRTRText);
 
     DebugRTRText::DebugRTRText(Context* context) : OverlayText(context)
Index: code/branches/core6/src/modules/overlays/hud/AnnounceMessage.cc
===================================================================
--- code/branches/core6/src/modules/overlays/hud/AnnounceMessage.cc	(revision 9629)
+++ code/branches/core6/src/modules/overlays/hud/AnnounceMessage.cc	(revision 9638)
@@ -34,5 +34,5 @@
 namespace orxonox
 {
-    CreateFactory(AnnounceMessage);
+    RegisterClass(AnnounceMessage);
 
     AnnounceMessage::AnnounceMessage(Context* context) : FadeoutText(context)
Index: code/branches/core6/src/modules/overlays/hud/ChatOverlay.cc
===================================================================
--- code/branches/core6/src/modules/overlays/hud/ChatOverlay.cc	(revision 9629)
+++ code/branches/core6/src/modules/overlays/hud/ChatOverlay.cc	(revision 9638)
@@ -44,5 +44,5 @@
 namespace orxonox
 {
-    CreateFactory(ChatOverlay);
+    RegisterClass(ChatOverlay);
 
     ChatOverlay::ChatOverlay(Context* context)
Index: code/branches/core6/src/modules/overlays/hud/DeathMessage.cc
===================================================================
--- code/branches/core6/src/modules/overlays/hud/DeathMessage.cc	(revision 9629)
+++ code/branches/core6/src/modules/overlays/hud/DeathMessage.cc	(revision 9638)
@@ -34,5 +34,5 @@
 namespace orxonox
 {
-    CreateFactory(DeathMessage);
+    RegisterClass(DeathMessage);
 
     DeathMessage::DeathMessage(Context* context) : FadeoutText(context)
Index: code/branches/core6/src/modules/overlays/hud/GametypeFadingMessage.cc
===================================================================
--- code/branches/core6/src/modules/overlays/hud/GametypeFadingMessage.cc	(revision 9629)
+++ code/branches/core6/src/modules/overlays/hud/GametypeFadingMessage.cc	(revision 9638)
@@ -34,5 +34,5 @@
 namespace orxonox
 {
-    CreateFactory(GametypeFadingMessage);
+    RegisterClass(GametypeFadingMessage);
 
     GametypeFadingMessage::GametypeFadingMessage(Context* context) : FadeoutText(context)
Index: code/branches/core6/src/modules/overlays/hud/GametypeStaticMessage.cc
===================================================================
--- code/branches/core6/src/modules/overlays/hud/GametypeStaticMessage.cc	(revision 9629)
+++ code/branches/core6/src/modules/overlays/hud/GametypeStaticMessage.cc	(revision 9638)
@@ -36,5 +36,5 @@
 namespace orxonox
 {
-    CreateFactory(GametypeStaticMessage);
+    RegisterClass(GametypeStaticMessage);
 
 
Index: code/branches/core6/src/modules/overlays/hud/HUDBar.cc
===================================================================
--- code/branches/core6/src/modules/overlays/hud/HUDBar.cc	(revision 9629)
+++ code/branches/core6/src/modules/overlays/hud/HUDBar.cc	(revision 9638)
@@ -45,5 +45,5 @@
 namespace orxonox
 {
-    CreateFactory(BarColour);
+    RegisterClass(BarColour);
 
     BarColour::BarColour(Context* context)
Index: code/branches/core6/src/modules/overlays/hud/HUDBoostBar.cc
===================================================================
--- code/branches/core6/src/modules/overlays/hud/HUDBoostBar.cc	(revision 9629)
+++ code/branches/core6/src/modules/overlays/hud/HUDBoostBar.cc	(revision 9638)
@@ -35,5 +35,5 @@
 namespace orxonox
 {
-    CreateFactory(HUDBoostBar);
+    RegisterClass(HUDBoostBar);
 
     HUDBoostBar::HUDBoostBar(Context* context)
Index: code/branches/core6/src/modules/overlays/hud/HUDEnemyHealthBar.cc
===================================================================
--- code/branches/core6/src/modules/overlays/hud/HUDEnemyHealthBar.cc	(revision 9629)
+++ code/branches/core6/src/modules/overlays/hud/HUDEnemyHealthBar.cc	(revision 9638)
@@ -34,5 +34,5 @@
 namespace orxonox
 {
-    CreateFactory(HUDEnemyHealthBar);
+    RegisterClass(HUDEnemyHealthBar);
 
     HUDEnemyHealthBar::HUDEnemyHealthBar(Context* context) : HUDHealthBar(context)
Index: code/branches/core6/src/modules/overlays/hud/HUDHealthBar.cc
===================================================================
--- code/branches/core6/src/modules/overlays/hud/HUDHealthBar.cc	(revision 9629)
+++ code/branches/core6/src/modules/overlays/hud/HUDHealthBar.cc	(revision 9638)
@@ -37,5 +37,5 @@
 namespace orxonox
 {
-    CreateFactory(HUDHealthBar);
+    RegisterClass(HUDHealthBar);
 
     HUDHealthBar::HUDHealthBar(Context* context) : HUDBar(context)
Index: code/branches/core6/src/modules/overlays/hud/HUDNavigation.cc
===================================================================
--- code/branches/core6/src/modules/overlays/hud/HUDNavigation.cc	(revision 9629)
+++ code/branches/core6/src/modules/overlays/hud/HUDNavigation.cc	(revision 9638)
@@ -67,5 +67,5 @@
         return a.second < b.second;
     }
-    CreateFactory ( HUDNavigation );
+    RegisterClass ( HUDNavigation );
 
     HUDNavigation* HUDNavigation::localHUD_s = 0;
Index: code/branches/core6/src/modules/overlays/hud/HUDRadar.cc
===================================================================
--- code/branches/core6/src/modules/overlays/hud/HUDRadar.cc	(revision 9629)
+++ code/branches/core6/src/modules/overlays/hud/HUDRadar.cc	(revision 9638)
@@ -44,5 +44,5 @@
 namespace orxonox
 {
-    CreateFactory(HUDRadar);
+    RegisterClass(HUDRadar);
 
     HUDRadar::HUDRadar(Context* context)
Index: code/branches/core6/src/modules/overlays/hud/HUDSpeedBar.cc
===================================================================
--- code/branches/core6/src/modules/overlays/hud/HUDSpeedBar.cc	(revision 9629)
+++ code/branches/core6/src/modules/overlays/hud/HUDSpeedBar.cc	(revision 9638)
@@ -36,5 +36,5 @@
 namespace orxonox
 {
-    CreateFactory(HUDSpeedBar);
+    RegisterClass(HUDSpeedBar);
 
     HUDSpeedBar::HUDSpeedBar(Context* context)
Index: code/branches/core6/src/modules/overlays/hud/HUDTimer.cc
===================================================================
--- code/branches/core6/src/modules/overlays/hud/HUDTimer.cc	(revision 9629)
+++ code/branches/core6/src/modules/overlays/hud/HUDTimer.cc	(revision 9638)
@@ -36,5 +36,5 @@
 namespace orxonox
 {
-    CreateFactory(HUDTimer);
+    RegisterClass(HUDTimer);
 
     HUDTimer::HUDTimer(Context* context) : OverlayText(context)
Index: code/branches/core6/src/modules/overlays/hud/KillMessage.cc
===================================================================
--- code/branches/core6/src/modules/overlays/hud/KillMessage.cc	(revision 9629)
+++ code/branches/core6/src/modules/overlays/hud/KillMessage.cc	(revision 9638)
@@ -34,5 +34,5 @@
 namespace orxonox
 {
-    CreateFactory(KillMessage);
+    RegisterClass(KillMessage);
 
     KillMessage::KillMessage(Context* context) : FadeoutText(context)
Index: code/branches/core6/src/modules/overlays/hud/LastManStandingInfos.cc
===================================================================
--- code/branches/core6/src/modules/overlays/hud/LastManStandingInfos.cc	(revision 9629)
+++ code/branches/core6/src/modules/overlays/hud/LastManStandingInfos.cc	(revision 9638)
@@ -37,5 +37,5 @@
 namespace orxonox
 {
-    CreateFactory(LastManStandingInfos);
+    RegisterClass(LastManStandingInfos);
 
     LastManStandingInfos::LastManStandingInfos(Context* context) : OverlayText(context)
Index: code/branches/core6/src/modules/overlays/hud/LastTeamStandingInfos.cc
===================================================================
--- code/branches/core6/src/modules/overlays/hud/LastTeamStandingInfos.cc	(revision 9629)
+++ code/branches/core6/src/modules/overlays/hud/LastTeamStandingInfos.cc	(revision 9638)
@@ -37,5 +37,5 @@
 namespace orxonox
 {
-    CreateFactory(LastTeamStandingInfos);
+    RegisterClass(LastTeamStandingInfos);
 
     LastTeamStandingInfos::LastTeamStandingInfos(Context* context) : OverlayText(context)
Index: code/branches/core6/src/modules/overlays/hud/PauseNotice.cc
===================================================================
--- code/branches/core6/src/modules/overlays/hud/PauseNotice.cc	(revision 9629)
+++ code/branches/core6/src/modules/overlays/hud/PauseNotice.cc	(revision 9638)
@@ -34,5 +34,5 @@
 namespace orxonox
 {
-    CreateFactory(PauseNotice);
+    RegisterClass(PauseNotice);
 
     PauseNotice::PauseNotice(Context* context) : OverlayText(context)
Index: code/branches/core6/src/modules/overlays/hud/TeamBaseMatchScore.cc
===================================================================
--- code/branches/core6/src/modules/overlays/hud/TeamBaseMatchScore.cc	(revision 9629)
+++ code/branches/core6/src/modules/overlays/hud/TeamBaseMatchScore.cc	(revision 9638)
@@ -37,5 +37,5 @@
 namespace orxonox
 {
-    CreateFactory(TeamBaseMatchScore);
+    RegisterClass(TeamBaseMatchScore);
 
     TeamBaseMatchScore::TeamBaseMatchScore(Context* context) : OverlayText(context)
Index: code/branches/core6/src/modules/overlays/stats/Scoreboard.cc
===================================================================
--- code/branches/core6/src/modules/overlays/stats/Scoreboard.cc	(revision 9629)
+++ code/branches/core6/src/modules/overlays/stats/Scoreboard.cc	(revision 9638)
@@ -35,5 +35,5 @@
 namespace orxonox
 {
-    CreateFactory(Scoreboard);
+    RegisterClass(Scoreboard);
 
     /**
Index: code/branches/core6/src/modules/overlays/stats/Stats.cc
===================================================================
--- code/branches/core6/src/modules/overlays/stats/Stats.cc	(revision 9629)
+++ code/branches/core6/src/modules/overlays/stats/Stats.cc	(revision 9638)
@@ -39,5 +39,5 @@
 namespace orxonox
 {
-    CreateFactory(Stats);
+    RegisterClass(Stats);
 
     /**
Index: code/branches/core6/src/modules/pickup/Pickup.cc
===================================================================
--- code/branches/core6/src/modules/pickup/Pickup.cc	(revision 9629)
+++ code/branches/core6/src/modules/pickup/Pickup.cc	(revision 9638)
@@ -48,5 +48,5 @@
     /*static*/ const std::string Pickup::durationTypeContinuous_s = "continuous";
 
-    CreateUnloadableFactory(Pickup);
+    RegisterUnloadableClass(Pickup);
 
     /**
Index: code/branches/core6/src/modules/pickup/PickupCollection.cc
===================================================================
--- code/branches/core6/src/modules/pickup/PickupCollection.cc	(revision 9629)
+++ code/branches/core6/src/modules/pickup/PickupCollection.cc	(revision 9638)
@@ -45,5 +45,5 @@
 {
 
-    CreateFactory(PickupCollection);
+    RegisterClass(PickupCollection);
 
     /**
Index: code/branches/core6/src/modules/pickup/PickupRepresentation.cc
===================================================================
--- code/branches/core6/src/modules/pickup/PickupRepresentation.cc	(revision 9629)
+++ code/branches/core6/src/modules/pickup/PickupRepresentation.cc	(revision 9638)
@@ -45,5 +45,5 @@
 {
 
-    CreateFactory(PickupRepresentation);
+    RegisterClass(PickupRepresentation);
 
     /**
Index: code/branches/core6/src/modules/pickup/PickupSpawner.cc
===================================================================
--- code/branches/core6/src/modules/pickup/PickupSpawner.cc	(revision 9629)
+++ code/branches/core6/src/modules/pickup/PickupSpawner.cc	(revision 9638)
@@ -47,5 +47,5 @@
 {
 
-    CreateFactory(PickupSpawner);
+    RegisterClass(PickupSpawner);
 
     /**
Index: code/branches/core6/src/modules/pickup/items/DamageBoostPickup.cc
===================================================================
--- code/branches/core6/src/modules/pickup/items/DamageBoostPickup.cc	(revision 9629)
+++ code/branches/core6/src/modules/pickup/items/DamageBoostPickup.cc	(revision 9638)
@@ -42,5 +42,5 @@
 namespace orxonox
 {
-    CreateFactory(DamageBoostPickup);
+    RegisterClass(DamageBoostPickup);
 
     /**
Index: code/branches/core6/src/modules/pickup/items/DronePickup.cc
===================================================================
--- code/branches/core6/src/modules/pickup/items/DronePickup.cc	(revision 9629)
+++ code/branches/core6/src/modules/pickup/items/DronePickup.cc	(revision 9638)
@@ -45,5 +45,5 @@
 {
 
-    CreateFactory(DronePickup);
+    RegisterClass(DronePickup);
 
     /**
Index: code/branches/core6/src/modules/pickup/items/HealthPickup.cc
===================================================================
--- code/branches/core6/src/modules/pickup/items/HealthPickup.cc	(revision 9629)
+++ code/branches/core6/src/modules/pickup/items/HealthPickup.cc	(revision 9638)
@@ -47,5 +47,5 @@
     /*static*/ const std::string HealthPickup::healthTypePermanent_s = "permanent";
 
-    CreateFactory(HealthPickup);
+    RegisterClass(HealthPickup);
 
     /**
Index: code/branches/core6/src/modules/pickup/items/InvisiblePickup.cc
===================================================================
--- code/branches/core6/src/modules/pickup/items/InvisiblePickup.cc	(revision 9629)
+++ code/branches/core6/src/modules/pickup/items/InvisiblePickup.cc	(revision 9638)
@@ -45,5 +45,5 @@
 {
 
-    CreateFactory(InvisiblePickup);
+    RegisterClass(InvisiblePickup);
 
     /**
Index: code/branches/core6/src/modules/pickup/items/MetaPickup.cc
===================================================================
--- code/branches/core6/src/modules/pickup/items/MetaPickup.cc	(revision 9629)
+++ code/branches/core6/src/modules/pickup/items/MetaPickup.cc	(revision 9638)
@@ -42,5 +42,5 @@
 namespace orxonox {
 
-    CreateFactory(MetaPickup);
+    RegisterClass(MetaPickup);
 
     //! Setting the static variables to their values.
Index: code/branches/core6/src/modules/pickup/items/ShieldPickup.cc
===================================================================
--- code/branches/core6/src/modules/pickup/items/ShieldPickup.cc	(revision 9629)
+++ code/branches/core6/src/modules/pickup/items/ShieldPickup.cc	(revision 9638)
@@ -42,5 +42,5 @@
 namespace orxonox
 {
-    CreateFactory(ShieldPickup);
+    RegisterClass(ShieldPickup);
 
     /**
Index: code/branches/core6/src/modules/pickup/items/ShrinkPickup.cc
===================================================================
--- code/branches/core6/src/modules/pickup/items/ShrinkPickup.cc	(revision 9629)
+++ code/branches/core6/src/modules/pickup/items/ShrinkPickup.cc	(revision 9638)
@@ -46,5 +46,5 @@
 namespace orxonox
 {
-    CreateFactory(ShrinkPickup);
+    RegisterClass(ShrinkPickup);
 
     /**
Index: code/branches/core6/src/modules/pickup/items/SpeedPickup.cc
===================================================================
--- code/branches/core6/src/modules/pickup/items/SpeedPickup.cc	(revision 9629)
+++ code/branches/core6/src/modules/pickup/items/SpeedPickup.cc	(revision 9638)
@@ -42,5 +42,5 @@
 namespace orxonox
 {
-    CreateFactory(SpeedPickup);
+    RegisterClass(SpeedPickup);
 
     /**
Index: code/branches/core6/src/modules/pong/Pong.cc
===================================================================
--- code/branches/core6/src/modules/pong/Pong.cc	(revision 9629)
+++ code/branches/core6/src/modules/pong/Pong.cc	(revision 9638)
@@ -53,5 +53,5 @@
     CreateEventName(PongCenterpoint, left);
 
-    CreateUnloadableFactory(Pong);
+    RegisterUnloadableClass(Pong);
 
     /**
Index: code/branches/core6/src/modules/pong/PongAI.cc
===================================================================
--- code/branches/core6/src/modules/pong/PongAI.cc	(revision 9629)
+++ code/branches/core6/src/modules/pong/PongAI.cc	(revision 9638)
@@ -45,5 +45,5 @@
 namespace orxonox
 {
-    CreateUnloadableFactory(PongAI);
+    RegisterUnloadableClass(PongAI);
 
     const static float MAX_REACTION_TIME = 0.4f;
Index: code/branches/core6/src/modules/pong/PongBall.cc
===================================================================
--- code/branches/core6/src/modules/pong/PongBall.cc	(revision 9629)
+++ code/branches/core6/src/modules/pong/PongBall.cc	(revision 9638)
@@ -43,5 +43,5 @@
 namespace orxonox
 {
-    CreateFactory(PongBall);
+    RegisterClass(PongBall);
 
     const float PongBall::MAX_REL_Z_VELOCITY = 1.5;
Index: code/branches/core6/src/modules/pong/PongBat.cc
===================================================================
--- code/branches/core6/src/modules/pong/PongBat.cc	(revision 9629)
+++ code/branches/core6/src/modules/pong/PongBat.cc	(revision 9638)
@@ -39,5 +39,5 @@
 namespace orxonox
 {
-    CreateFactory(PongBat);
+    RegisterClass(PongBat);
 
     /**
Index: code/branches/core6/src/modules/pong/PongBot.cc
===================================================================
--- code/branches/core6/src/modules/pong/PongBot.cc	(revision 9629)
+++ code/branches/core6/src/modules/pong/PongBot.cc	(revision 9638)
@@ -39,5 +39,5 @@
 namespace orxonox
 {
-    CreateFactory(PongBot);
+    RegisterClass(PongBot);
 
     /**
Index: code/branches/core6/src/modules/pong/PongCenterpoint.cc
===================================================================
--- code/branches/core6/src/modules/pong/PongCenterpoint.cc	(revision 9629)
+++ code/branches/core6/src/modules/pong/PongCenterpoint.cc	(revision 9638)
@@ -41,5 +41,5 @@
 namespace orxonox
 {
-    CreateFactory(PongCenterpoint);
+    RegisterClass(PongCenterpoint);
 
     /**
Index: code/branches/core6/src/modules/pong/PongScore.cc
===================================================================
--- code/branches/core6/src/modules/pong/PongScore.cc	(revision 9629)
+++ code/branches/core6/src/modules/pong/PongScore.cc	(revision 9638)
@@ -44,5 +44,5 @@
 namespace orxonox
 {
-    CreateFactory(PongScore);
+    RegisterClass(PongScore);
 
     /**
Index: code/branches/core6/src/modules/portals/PortalEndPoint.cc
===================================================================
--- code/branches/core6/src/modules/portals/PortalEndPoint.cc	(revision 9629)
+++ code/branches/core6/src/modules/portals/PortalEndPoint.cc	(revision 9638)
@@ -42,5 +42,5 @@
 namespace orxonox
 {
-    CreateFactory(PortalEndPoint);
+    RegisterClass(PortalEndPoint);
 
     /*static*/ const std::string PortalEndPoint::EVENTFUNCTIONNAME = "execute";
Index: code/branches/core6/src/modules/portals/PortalLink.cc
===================================================================
--- code/branches/core6/src/modules/portals/PortalLink.cc	(revision 9629)
+++ code/branches/core6/src/modules/portals/PortalLink.cc	(revision 9638)
@@ -36,5 +36,5 @@
 namespace orxonox
 {
-    CreateFactory(PortalLink);
+    RegisterClass(PortalLink);
 
     std::map<PortalEndPoint *, PortalEndPoint *> PortalLink::links_s;
Index: code/branches/core6/src/modules/questsystem/GlobalQuest.cc
===================================================================
--- code/branches/core6/src/modules/questsystem/GlobalQuest.cc	(revision 9629)
+++ code/branches/core6/src/modules/questsystem/GlobalQuest.cc	(revision 9638)
@@ -41,5 +41,5 @@
 namespace orxonox
 {
-    CreateFactory(GlobalQuest);
+    RegisterClass(GlobalQuest);
 
     /**
Index: code/branches/core6/src/modules/questsystem/LocalQuest.cc
===================================================================
--- code/branches/core6/src/modules/questsystem/LocalQuest.cc	(revision 9629)
+++ code/branches/core6/src/modules/questsystem/LocalQuest.cc	(revision 9638)
@@ -41,5 +41,5 @@
 namespace orxonox
 {
-    CreateFactory(LocalQuest);
+    RegisterClass(LocalQuest);
 
     /**
Index: code/branches/core6/src/modules/questsystem/QuestDescription.cc
===================================================================
--- code/branches/core6/src/modules/questsystem/QuestDescription.cc	(revision 9629)
+++ code/branches/core6/src/modules/questsystem/QuestDescription.cc	(revision 9638)
@@ -44,5 +44,5 @@
 namespace orxonox
 {
-    CreateFactory(QuestDescription);
+    RegisterClass(QuestDescription);
 
     /*static*/ const std::string QuestDescription::SENDER = "questsystem";
Index: code/branches/core6/src/modules/questsystem/QuestEffectBeacon.cc
===================================================================
--- code/branches/core6/src/modules/questsystem/QuestEffectBeacon.cc	(revision 9629)
+++ code/branches/core6/src/modules/questsystem/QuestEffectBeacon.cc	(revision 9638)
@@ -45,5 +45,5 @@
 namespace orxonox
 {
-    CreateFactory(QuestEffectBeacon);
+    RegisterClass(QuestEffectBeacon);
 
     /**
Index: code/branches/core6/src/modules/questsystem/QuestHint.cc
===================================================================
--- code/branches/core6/src/modules/questsystem/QuestHint.cc	(revision 9629)
+++ code/branches/core6/src/modules/questsystem/QuestHint.cc	(revision 9638)
@@ -43,5 +43,5 @@
 namespace orxonox
 {
-    CreateFactory(QuestHint);
+    RegisterClass(QuestHint);
 
     /**
Index: code/branches/core6/src/modules/questsystem/QuestItem.cc
===================================================================
--- code/branches/core6/src/modules/questsystem/QuestItem.cc	(revision 9629)
+++ code/branches/core6/src/modules/questsystem/QuestItem.cc	(revision 9638)
@@ -42,5 +42,5 @@
 {
 
-    CreateUnloadableFactory(QuestItem);
+    RegisterUnloadableClass(QuestItem);
 
     /**
Index: code/branches/core6/src/modules/questsystem/QuestListener.cc
===================================================================
--- code/branches/core6/src/modules/questsystem/QuestListener.cc	(revision 9629)
+++ code/branches/core6/src/modules/questsystem/QuestListener.cc	(revision 9638)
@@ -42,5 +42,5 @@
 namespace orxonox
 {
-    CreateFactory(QuestListener);
+    RegisterClass(QuestListener);
 
     // Initialization of the static variables for the modes as strings.
Index: code/branches/core6/src/modules/questsystem/effects/AddQuest.cc
===================================================================
--- code/branches/core6/src/modules/questsystem/effects/AddQuest.cc	(revision 9629)
+++ code/branches/core6/src/modules/questsystem/effects/AddQuest.cc	(revision 9638)
@@ -43,5 +43,5 @@
 namespace orxonox
 {
-    CreateFactory(AddQuest);
+    RegisterClass(AddQuest);
 
     /**
Index: code/branches/core6/src/modules/questsystem/effects/AddQuestHint.cc
===================================================================
--- code/branches/core6/src/modules/questsystem/effects/AddQuestHint.cc	(revision 9629)
+++ code/branches/core6/src/modules/questsystem/effects/AddQuestHint.cc	(revision 9638)
@@ -44,5 +44,5 @@
 namespace orxonox
 {
-    CreateFactory(AddQuestHint);
+    RegisterClass(AddQuestHint);
 
     /**
Index: code/branches/core6/src/modules/questsystem/effects/AddReward.cc
===================================================================
--- code/branches/core6/src/modules/questsystem/effects/AddReward.cc	(revision 9629)
+++ code/branches/core6/src/modules/questsystem/effects/AddReward.cc	(revision 9638)
@@ -41,5 +41,5 @@
 namespace orxonox
 {
-    CreateFactory(AddReward);
+    RegisterClass(AddReward);
 
     /**
Index: code/branches/core6/src/modules/questsystem/effects/CompleteQuest.cc
===================================================================
--- code/branches/core6/src/modules/questsystem/effects/CompleteQuest.cc	(revision 9629)
+++ code/branches/core6/src/modules/questsystem/effects/CompleteQuest.cc	(revision 9638)
@@ -42,5 +42,5 @@
 namespace orxonox
 {
-    CreateFactory(CompleteQuest);
+    RegisterClass(CompleteQuest);
 
     /**
Index: code/branches/core6/src/modules/questsystem/effects/FailQuest.cc
===================================================================
--- code/branches/core6/src/modules/questsystem/effects/FailQuest.cc	(revision 9629)
+++ code/branches/core6/src/modules/questsystem/effects/FailQuest.cc	(revision 9638)
@@ -42,5 +42,5 @@
 namespace orxonox
 {
-    CreateFactory(FailQuest);
+    RegisterClass(FailQuest);
 
     /**
Index: code/branches/core6/src/modules/tetris/Tetris.cc
===================================================================
--- code/branches/core6/src/modules/tetris/Tetris.cc	(revision 9629)
+++ code/branches/core6/src/modules/tetris/Tetris.cc	(revision 9638)
@@ -54,5 +54,5 @@
 {
 
-    CreateUnloadableFactory(Tetris);
+    RegisterUnloadableClass(Tetris);
 
     /**
Index: code/branches/core6/src/modules/tetris/TetrisBrick.cc
===================================================================
--- code/branches/core6/src/modules/tetris/TetrisBrick.cc	(revision 9629)
+++ code/branches/core6/src/modules/tetris/TetrisBrick.cc	(revision 9638)
@@ -44,5 +44,5 @@
 namespace orxonox
 {
-    CreateFactory(TetrisBrick);
+    RegisterClass(TetrisBrick);
 
     /**
Index: code/branches/core6/src/modules/tetris/TetrisCenterpoint.cc
===================================================================
--- code/branches/core6/src/modules/tetris/TetrisCenterpoint.cc	(revision 9629)
+++ code/branches/core6/src/modules/tetris/TetrisCenterpoint.cc	(revision 9638)
@@ -42,5 +42,5 @@
 namespace orxonox
 {
-    CreateFactory(TetrisCenterpoint);
+    RegisterClass(TetrisCenterpoint);
 
     /**
Index: code/branches/core6/src/modules/tetris/TetrisScore.cc
===================================================================
--- code/branches/core6/src/modules/tetris/TetrisScore.cc	(revision 9629)
+++ code/branches/core6/src/modules/tetris/TetrisScore.cc	(revision 9638)
@@ -45,5 +45,5 @@
 namespace orxonox
 {
-    CreateFactory(TetrisScore);
+    RegisterClass(TetrisScore);
 
     /**
Index: code/branches/core6/src/modules/tetris/TetrisStone.cc
===================================================================
--- code/branches/core6/src/modules/tetris/TetrisStone.cc	(revision 9629)
+++ code/branches/core6/src/modules/tetris/TetrisStone.cc	(revision 9638)
@@ -42,5 +42,5 @@
 namespace orxonox
 {
-    CreateFactory(TetrisStone);
+    RegisterClass(TetrisStone);
 
     /**
Index: code/branches/core6/src/modules/towerdefense/Tower.cc
===================================================================
--- code/branches/core6/src/modules/towerdefense/Tower.cc	(revision 9629)
+++ code/branches/core6/src/modules/towerdefense/Tower.cc	(revision 9638)
@@ -16,5 +16,5 @@
 namespace orxonox
 {
-    CreateFactory(Tower);
+    RegisterClass(Tower);
 
     /**
Index: code/branches/core6/src/modules/towerdefense/TowerDefense.cc
===================================================================
--- code/branches/core6/src/modules/towerdefense/TowerDefense.cc	(revision 9629)
+++ code/branches/core6/src/modules/towerdefense/TowerDefense.cc	(revision 9638)
@@ -94,5 +94,5 @@
 namespace orxonox
 {
-    CreateUnloadableFactory(TowerDefense);
+    RegisterUnloadableClass(TowerDefense);
 
     TowerDefense::TowerDefense(Context* context) : Deathmatch(context)
Index: code/branches/core6/src/modules/towerdefense/TowerDefenseCenterpoint.cc
===================================================================
--- code/branches/core6/src/modules/towerdefense/TowerDefenseCenterpoint.cc	(revision 9629)
+++ code/branches/core6/src/modules/towerdefense/TowerDefenseCenterpoint.cc	(revision 9638)
@@ -41,5 +41,5 @@
 namespace orxonox
 {
-    CreateFactory(TowerDefenseCenterpoint);
+    RegisterClass(TowerDefenseCenterpoint);
 
     /**
Index: code/branches/core6/src/modules/towerdefense/TowerDefenseController.cc
===================================================================
--- code/branches/core6/src/modules/towerdefense/TowerDefenseController.cc	(revision 9629)
+++ code/branches/core6/src/modules/towerdefense/TowerDefenseController.cc	(revision 9638)
@@ -36,5 +36,5 @@
 namespace orxonox
 {
-    CreateFactory(TowerDefenseController);
+    RegisterClass(TowerDefenseController);
 
     TowerDefenseController::TowerDefenseController(Context* context) : WaypointController(context)
Index: code/branches/core6/src/modules/towerdefense/TowerDefenseHUDController.cc
===================================================================
--- code/branches/core6/src/modules/towerdefense/TowerDefenseHUDController.cc	(revision 9629)
+++ code/branches/core6/src/modules/towerdefense/TowerDefenseHUDController.cc	(revision 9638)
@@ -35,5 +35,5 @@
 namespace orxonox
 {
-    CreateFactory(TowerDefenseHUDController);
+    RegisterClass(TowerDefenseHUDController);
 
     TowerDefenseHUDController::TowerDefenseHUDController(Context* context) : OverlayText(context)
Index: code/branches/core6/src/modules/weapons/MuzzleFlash.cc
===================================================================
--- code/branches/core6/src/modules/weapons/MuzzleFlash.cc	(revision 9629)
+++ code/branches/core6/src/modules/weapons/MuzzleFlash.cc	(revision 9638)
@@ -39,5 +39,5 @@
 namespace orxonox
 {
-    CreateFactory(MuzzleFlash);
+    RegisterClass(MuzzleFlash);
 
     MuzzleFlash::MuzzleFlash(Context* context) : Billboard(context)
Index: code/branches/core6/src/modules/weapons/munitions/FusionMunition.cc
===================================================================
--- code/branches/core6/src/modules/weapons/munitions/FusionMunition.cc	(revision 9629)
+++ code/branches/core6/src/modules/weapons/munitions/FusionMunition.cc	(revision 9638)
@@ -37,5 +37,5 @@
 namespace orxonox
 {
-    CreateFactory(FusionMunition);
+    RegisterClass(FusionMunition);
 
     FusionMunition::FusionMunition(Context* context) : Munition(context)
Index: code/branches/core6/src/modules/weapons/munitions/LaserMunition.cc
===================================================================
--- code/branches/core6/src/modules/weapons/munitions/LaserMunition.cc	(revision 9629)
+++ code/branches/core6/src/modules/weapons/munitions/LaserMunition.cc	(revision 9638)
@@ -37,5 +37,5 @@
 namespace orxonox
 {
-    CreateFactory(LaserMunition);
+    RegisterClass(LaserMunition);
 
     LaserMunition::LaserMunition(Context* context) : ReplenishingMunition(context)
Index: code/branches/core6/src/modules/weapons/munitions/ReplenishingMunition.cc
===================================================================
--- code/branches/core6/src/modules/weapons/munitions/ReplenishingMunition.cc	(revision 9629)
+++ code/branches/core6/src/modules/weapons/munitions/ReplenishingMunition.cc	(revision 9638)
@@ -39,5 +39,5 @@
 namespace orxonox
 {
-    CreateFactory(ReplenishingMunition);
+    RegisterClass(ReplenishingMunition);
 
     ReplenishingMunition::ReplenishingMunition(Context* context) : Munition(context)
Index: code/branches/core6/src/modules/weapons/munitions/RocketMunition.cc
===================================================================
--- code/branches/core6/src/modules/weapons/munitions/RocketMunition.cc	(revision 9629)
+++ code/branches/core6/src/modules/weapons/munitions/RocketMunition.cc	(revision 9638)
@@ -37,5 +37,5 @@
 namespace orxonox
 {
-    CreateFactory(RocketMunition);
+    RegisterClass(RocketMunition);
 
     RocketMunition::RocketMunition(Context* context) : Munition(context)
Index: code/branches/core6/src/modules/weapons/projectiles/BillboardProjectile.cc
===================================================================
--- code/branches/core6/src/modules/weapons/projectiles/BillboardProjectile.cc	(revision 9629)
+++ code/branches/core6/src/modules/weapons/projectiles/BillboardProjectile.cc	(revision 9638)
@@ -40,5 +40,5 @@
 namespace orxonox
 {
-    CreateFactory(BillboardProjectile);
+    RegisterClass(BillboardProjectile);
 
     BillboardProjectile::BillboardProjectile(Context* context) : Projectile(context)
Index: code/branches/core6/src/modules/weapons/projectiles/LightningGunProjectile.cc
===================================================================
--- code/branches/core6/src/modules/weapons/projectiles/LightningGunProjectile.cc	(revision 9629)
+++ code/branches/core6/src/modules/weapons/projectiles/LightningGunProjectile.cc	(revision 9638)
@@ -40,5 +40,5 @@
 namespace orxonox
 {
-    CreateFactory(LightningGunProjectile);
+    RegisterClass(LightningGunProjectile);
 
     LightningGunProjectile::LightningGunProjectile(Context* context) : BillboardProjectile(context)
Index: code/branches/core6/src/modules/weapons/projectiles/ParticleProjectile.cc
===================================================================
--- code/branches/core6/src/modules/weapons/projectiles/ParticleProjectile.cc	(revision 9629)
+++ code/branches/core6/src/modules/weapons/projectiles/ParticleProjectile.cc	(revision 9638)
@@ -41,5 +41,5 @@
 namespace orxonox
 {
-    CreateFactory(ParticleProjectile);
+    RegisterClass(ParticleProjectile);
 
     ParticleProjectile::ParticleProjectile(Context* context) : BillboardProjectile(context)
Index: code/branches/core6/src/modules/weapons/projectiles/Projectile.cc
===================================================================
--- code/branches/core6/src/modules/weapons/projectiles/Projectile.cc	(revision 9629)
+++ code/branches/core6/src/modules/weapons/projectiles/Projectile.cc	(revision 9638)
@@ -44,5 +44,5 @@
 namespace orxonox
 {
-    CreateFactory(Projectile);
+    RegisterClass(Projectile);
 
     Projectile::Projectile(Context* context) : MovableEntity(context), BasicProjectile()
Index: code/branches/core6/src/modules/weapons/projectiles/Rocket.cc
===================================================================
--- code/branches/core6/src/modules/weapons/projectiles/Rocket.cc	(revision 9629)
+++ code/branches/core6/src/modules/weapons/projectiles/Rocket.cc	(revision 9638)
@@ -51,5 +51,5 @@
 namespace orxonox
 {
-    CreateFactory(Rocket);
+    RegisterClass(Rocket);
 
     /**
Index: code/branches/core6/src/modules/weapons/projectiles/SimpleRocket.cc
===================================================================
--- code/branches/core6/src/modules/weapons/projectiles/SimpleRocket.cc	(revision 9629)
+++ code/branches/core6/src/modules/weapons/projectiles/SimpleRocket.cc	(revision 9638)
@@ -52,5 +52,5 @@
 namespace orxonox
 {
-    CreateFactory(SimpleRocket);
+    RegisterClass(SimpleRocket);
 
     const float SimpleRocket::FUEL_PERCENTAGE = 0.8f;
Index: code/branches/core6/src/modules/weapons/weaponmodes/EnergyDrink.cc
===================================================================
--- code/branches/core6/src/modules/weapons/weaponmodes/EnergyDrink.cc	(revision 9629)
+++ code/branches/core6/src/modules/weapons/weaponmodes/EnergyDrink.cc	(revision 9638)
@@ -49,5 +49,5 @@
 namespace orxonox
 {
-    CreateFactory(EnergyDrink);
+    RegisterClass(EnergyDrink);
 
     EnergyDrink::EnergyDrink(Context* context) : WeaponMode(context)
Index: code/branches/core6/src/modules/weapons/weaponmodes/FusionFire.cc
===================================================================
--- code/branches/core6/src/modules/weapons/weaponmodes/FusionFire.cc	(revision 9629)
+++ code/branches/core6/src/modules/weapons/weaponmodes/FusionFire.cc	(revision 9638)
@@ -46,5 +46,5 @@
 namespace orxonox
 {
-    CreateFactory(FusionFire);
+    RegisterClass(FusionFire);
 
     FusionFire::FusionFire(Context* context) : WeaponMode(context)
Index: code/branches/core6/src/modules/weapons/weaponmodes/HsW01.cc
===================================================================
--- code/branches/core6/src/modules/weapons/weaponmodes/HsW01.cc	(revision 9629)
+++ code/branches/core6/src/modules/weapons/weaponmodes/HsW01.cc	(revision 9638)
@@ -50,5 +50,5 @@
 namespace orxonox
 {
-    CreateFactory(HsW01);
+    RegisterClass(HsW01);
 
     HsW01::HsW01(Context* context) : WeaponMode(context)
Index: code/branches/core6/src/modules/weapons/weaponmodes/LaserFire.cc
===================================================================
--- code/branches/core6/src/modules/weapons/weaponmodes/LaserFire.cc	(revision 9629)
+++ code/branches/core6/src/modules/weapons/weaponmodes/LaserFire.cc	(revision 9638)
@@ -45,5 +45,5 @@
 namespace orxonox
 {
-    CreateFactory(LaserFire);
+    RegisterClass(LaserFire);
 
     LaserFire::LaserFire(Context* context) : WeaponMode(context)
Index: code/branches/core6/src/modules/weapons/weaponmodes/LightningGun.cc
===================================================================
--- code/branches/core6/src/modules/weapons/weaponmodes/LightningGun.cc	(revision 9629)
+++ code/branches/core6/src/modules/weapons/weaponmodes/LightningGun.cc	(revision 9638)
@@ -44,5 +44,5 @@
 namespace orxonox
 {
-    CreateFactory(LightningGun);
+    RegisterClass(LightningGun);
 
     LightningGun::LightningGun(Context* context) : WeaponMode(context)
Index: code/branches/core6/src/modules/weapons/weaponmodes/RocketFire.cc
===================================================================
--- code/branches/core6/src/modules/weapons/weaponmodes/RocketFire.cc	(revision 9629)
+++ code/branches/core6/src/modules/weapons/weaponmodes/RocketFire.cc	(revision 9638)
@@ -46,5 +46,5 @@
 namespace orxonox
 {
-    CreateFactory(RocketFire);
+    RegisterClass(RocketFire);
 
     RocketFire::RocketFire(Context* context) : WeaponMode(context)
Index: code/branches/core6/src/modules/weapons/weaponmodes/SimpleRocketFire.cc
===================================================================
--- code/branches/core6/src/modules/weapons/weaponmodes/SimpleRocketFire.cc	(revision 9629)
+++ code/branches/core6/src/modules/weapons/weaponmodes/SimpleRocketFire.cc	(revision 9638)
@@ -50,5 +50,5 @@
 {
 
-    CreateFactory(SimpleRocketFire);
+    RegisterClass(SimpleRocketFire);
 
     SimpleRocketFire::SimpleRocketFire(Context* context) : WeaponMode(context)
